%define rname beryl
%define name %{rname}-core
%define version 0.1.9999.2
%define release %mkrel 1

%define lib_major 0
%define lib_name %mklibname %{name} %lib_major

Name: %name
Version: %version
Release: %release
Summary: OpenGL composite manager for Xgl and AIGLX
Group: System/X11
URL: http://www.beryl-project.org/
Source: http://releases.beryl-project.org/%{version}/%{name}-%{version}.tar.bz2
Source1: %{rname}.defaults

License: GPL
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: X11-devel
BuildRequires: x11-util-macros
BuildRequires: gnome-desktop-devel
BuildRequires: libwnck-devel
BuildRequires: libpng-devel
BuildRequires: libgnome-window-settings-devel
BuildRequires: intltool

Requires: %{lib_name} = %{version}-%{release}
Requires: %{rname}-plugins = %{version}
Requires: %{rname}-settings = %{version}
Requires: emerald = %{version}
Requires: compositing-wm-common
Provides: compositing-wm

# compiz-quinnstorm was renamed to beryl-core
Provides: compiz-quinnstorm
Obsoletes: compiz-quinnstorm

%description
OpenGL composite manager for Xgl and AIGLX.

This is a fork of the compiz window manager driven to add bleeding
edge features and plugins that may not fall quite inline with the
overall plans for compiz.

It is a more open package that has resulted in the rapid development
of many new plugins and features.

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{rname}
%{_datadir}/%{rname}/*
%{_datadir}/compositing-wm/%{rname}.defaults
%{_mandir}/man1/%{rname}.1*
%{_mandir}/man3/%{rname}_*.3*

#--------------------------------------------------------------------

%package -n %lib_name
Summary: Library files for %{name}
Group: System/X11
Provides: %lib_name = %version

%description -n %lib_name
Library files for %{name}

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig

%files -n %lib_name
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/%{rname}/backends/*.so

#--------------------------------------------------------------------

%package -n %lib_name-devel
Summary: Development files for %{rname}
Group: Development/X11
Requires: %{lib_name} = %{version}-%{release}
Requires: X11-devel
Requires: x11-util-macros
Requires: gnome-desktop-devel
Requires: libgnome-window-settings-devel
Requires: libwnck-devel
Requires: libpng-devel


Provides: %{name}-devel = %{version}
Obsoletes: %{name}-devel

%description -n %lib_name-devel
Development files for %{rname}

%files -n %lib_name-devel
%defattr(-,root,root)
%dir %{_includedir}/%{rname}
%{_includedir}/%{rname}/%{rname}.h
%{_includedir}/%{rname}/%{rname}-decoration.h
%{_includedir}/%{rname}/%{rname}_ipcs.h
%{_includedir}/%{rname}/%{rname}-settings.h
%{_includedir}/%{rname}/%{rname}-text.h
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{rname}.pc
%{_libdir}/pkgconfig/%{rname}settings.pc
%{_libdir}/pkgconfig/lib%{rname}decoration.pc
%{_includedir}/%{rname}/beryl-settings-backend.h
%{_includedir}/%{rname}/beryl_helpers.h
%{_libdir}/%{rname}/backends/*.a
%{_libdir}/%{rname}/backends/*.la

#--------------------------------------------------------------------

%prep
%setup -q

%build
# Prevent libtoolize running which messes things up.
rm -f configure.in configure.ac

%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
install -D -m644 %{SOURCE1} %{buildroot}%{_datadir}/compositing-wm/%{rname}.defaults
%find_lang %{name}

# Old man pages that shouldn't be here
rm -f %{buildroot}%{_mandir}/man1/%{rname}-xgl*
rm -f %{buildroot}%{_mandir}/man1/%{rname}-settings-dump*

%clean
rm -rf %{buildroot}


%changelog
* Wed Feb 14 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.9999.2-1mdv2007.0
+ Revision: 120668
- New Release Candidate 0.1.9999.2 (RC2)

* Tue Feb 06 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.9999.1-4mdv2007.1
+ Revision: 116836
- Move .so files to -devel
- Harden up the dependancies to require like versioned -plugins etc.
- Remove menu stuff as this package long ago stop providing .desktop files

* Tue Feb 06 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.9999.1-3mdv2007.1
+ Revision: 116706
- Tidy up of BuildRequires/Requires
- Fix BuildRequires to circumvent settings bindings circular dependancy
- New Release Candidate: RC1

* Sun Jan 21 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.99.2-1mdv2007.1
+ Revision: 111363
- New version 0.2.0 Beta 2

* Thu Jan 04 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.4-2mdv2007.1
+ Revision: 104250
- Versioned Provides: beryl-core-devel

* Sat Dec 30 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.4-1mdv2007.1
+ Revision: 102821
- Tighten up requires a bit to ensure releases match
- New Release: 0.1.4

* Wed Dec 13 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.3-3mdv2007.1
+ Revision: 96564
- Properly fix the --sm-client-id arg

* Tue Dec 12 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.3-2mdv2007.1
+ Revision: 95128
- Fix session mgmt registration argument (--sm-client-id) regression.

* Sun Dec 10 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.3-1mdv2007.1
+ Revision: 94438
- The official 0.1.3
- Correct use of %%mklibname

  + plouf <plouf>
    - New rev 0.1.3

* Wed Nov 15 2006 Olivier Blin <oblin@mandriva.com> 0.1.2-4mdv2007.1
+ Revision: 84253
- remove unused files from SVN
- commit beryl.defaults
- new release
- cosmetics
- own include dir
- fix manpages listing style
- add beryl.defaults file
- do not pass unnecessary X configure options
- use find_lang macro
- use a rname macro not to hardcode beryl everywhere

* Wed Nov 08 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-3mdv2007.0
+ Revision: 78430
- Refactor libraries into separate package.

* Wed Nov 08 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-2mdv2007.1
+ Revision: 78194
- Rebuild (iurt borked first time round)
- New Release 0.1.2

* Mon Oct 23 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.1-3mdv2007.1
+ Revision: 72121
- Revert back to plain make as in 0.1.0 as dual-core %%make fails.
- Prevent unnecessary configure in autogen
- Bump revision
- Temporary fix for building on multi-core. This will be removed in next version (fixed upstream).
- Internal comments
- First Beryl release
- Compiz Quinnstorm becomes Beryl

  + plouf <plouf>
    - New revision 0.1.1

* Wed Sep 20 2006 Colin Guthrie <cguthrie@mandriva.org> 0.0.13.57-3mdv2007.0
+ Revision: 62423
- Apply upstream beryl patch to fix Xgl memory leaks.
- Slight tidyup
- Remove unneeded build options/requires
- Add back in conflict with compiz to make installation of compiz (vanilla) work correctly
- Fix config file and move .la to -devel

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Remove changelog from specfile

  + plouf <plouf>
    - Re add conflict with compiz in the futur join #compiz-dev on freenode before to upgrade

* Mon Sep 18 2006 Colin Guthrie <cguthrie@mandriva.org> 0.0.13.57-1mdv2007.0
+ Revision: 61831
- Move stray .a file to -devel
- Latest source tarball.
- Update to latest version.
- Change to use /etc/sysconfig/compiz
- Add option for auto-window-decorator mode
- Only package compiz core (plugins in separate package now)
- Fix xinit.d start order to make sure DBUS has started first.

* Sat Sep 16 2006 Colin Guthrie <cguthrie@mandriva.org> 0.0.13.27-7mdv2007.0
+ Revision: 61727
- Port across startup changes from compiz package

  + plouf <plouf>
    - Fix quinnstorm.schemas values

* Tue Aug 15 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.0.13.27-5mdv2007.0
+ Revision: 56170
- Add conflicts against compiz
- Import compiz-quinnstorm

